// Product Name: RGT Force Feedback Pro
// GUID: {B653044F-0000-0000-0000-504944564944}
// axes: 5^X^Y^V^S^S

// movement
moveMap.bind(%device, xaxis, steer_direct);
moveMap.bind(%device, yaxis,"IR", brake);
moveMap.bind(%device, rzaxis, "IR", accelerate);
moveMap.bind(%device, slider, "IR", clutch);

// paddle - left
%mm.bind( %device, button8, shiftUp);
// paddle - right
%mm.bind( %device, button9, shiftDown);
// Change shift mode auto/manual
%mm.bind( %device, button4, toggleShifterMode );

moveMap.bindCmd(%device, button2, "beamNGResetPhysics();", "");
moveMap.bindCmd(%device, button3, "beamNGTogglePhysics();", "");
%mm.bind(%device, button5, parkingbrake_toggle);

// DPAD ( dpadl, dpadr, dpadu, dpadd ) //

// left view
%mm.bindCmd(%device, dpadl, "np_x(-1);", "np_x(0);");

// right view
%mm.bindCmd(%device, dpadr, "np_x(1);", "np_x(0);");

// up view
%mm.bindCmd(%device, dpadd, "np_y(-1);", "np_y(0);");

// down view
%mm.bindCmd(%device, dpadu, "np_y(1);", "np_y(0);");

// Light
%mm.bindVLuaCmd(%device, button6, "electrics.toggle_lights()", "");

// Clignotants Left/right
%mm.bindVLuaCmd(%device, button0, "electrics.toggle_left_signal()", "");
%mm.bindVLuaCmd(%device, button1, "electrics.toggle_right_signal()", "");


moveMap.bindCmd(%device, button7, "beamNGCameraToggle();", "");
//moveMap.bind(%device, btn_back, beamNGControl);
//moveMap.bind(%device, btn_x, toggleFirstPerson);

echo("RGT FFB mapping loaded");
